using System;
using System.Reflection;

namespace SqlFixture
{
	struct CallerInfo
	{
		string _class;
		string _method;

		public string Class { get { return _class; } }
		public string Method { get { return _method; } }

		public CallerInfo(MethodBase methodBase)
		{
			_class = methodBase.DeclaringType.Name;
			_method = methodBase.Name;
		}
	}
}
